# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

DESCRIPTION="Gajim plugin for OMEMO XMPP end-to-end encryption"
HOMEPAGE="https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin"

PYTHON_COMPAT=( python3_{5,6} )

inherit git-r3 python-r1 python-utils-r1

EGIT_REPO_URI="https://dev.gajim.org/gajim/gajim-plugins.git"

if [[ "${PV}" = "9999" ]] ; then
	KEYWORDS=""
else
	EGIT_COMMIT="omemo_${PV}"
	KEYWORDS="~amd64"
fi

LICENSE="GPL-3"
SLOT="0"
IUSE=""

DEPEND="dev-python/python-axolotl
		dev-python/qrcode
		dev-python/cryptography
		>=net-im/gajim-1.1"

RDEPEND="${DEPEND}"

install_omemo() {
	python_export PYTHON_SITEDIR
	local GAJIM_SITEPACKAGE="$PYTHON_SITEDIR/gajim/)"
	local PLUGIN_DIR="${GAJIM_SITEPACKAGE}/data/plugins"
	local OMEMO_PLUGIN_DIR="${PLUGIN_DIR}/omemo"
	dodir "${PLUGIN_DIR}"
	dodir "${OMEMO_PLUGIN_DIR}"
	cp -pPR "${S}"/omemo/* "${D}/${OMEMO_PLUGIN_DIR}" || die "Installing files failed"
}

src_install() {
	python_foreach_impl install_omemo
}
